---
- name: Ensure Registry installer dir exists
  file:
    path: "{{ registry_installer_dir }}"
    state: directory

- name: Download and extract oc-mirror tool
  unarchive:
    src: "{{ mirror_registry_oc_plugin_url }}"
    remote_src: true
    dest: "{{ registry_installer_dir }}"
    extra_opts: oc-mirror
  tags:
  - download

- name: Make oc-mirror executable
  file:
    path: "{{ registry_installer_dir }}/oc-mirror"
    mode: 0755
  tags:
  - download

